## TrueGaze VR Runtime Program "VC_EyeTracking_Tray", by VisualCamp Co., Ltd.
*Version: 1.3.1*

### Introduction
The VisualCamp TrueGaze VR Runtime Program is made for the TrueGaze VR Module on VIVE/VIVE Pro HMD.

#### The Runtime Program contains:
1. Eye-Tracking activation
2. Calibration
3. Save/Load calibration data 
4. Lens options

#### Eye-Tracking Activation:
- "Eye Tracking" will activate/de-activate the eye-tracking process.

#### Calibration:
- "Start Calibration" will start 9 point calibration process.
- "Eye Tracking" must be activated before the calibration process. 
- When the calibration process is done, the calibration data will be saved in a file called "calibration_data.dat".

#### Save/Load Calibration Data:
- There are 10 Calibration Slots (from 0 to 9) to save/load calibration data.
- Pre-saved calibration data can be loaded by selecting each calibration slot.
- The calibration process will save calibration data on the selected calibration slot.

#### Lens options:
- There are 4 lens options (none, 2, 4, 6).
- Selected lens option will be applied during the eye-tracking process.

### Preparation
1. VIVE/VIVE Pro HMD and Steam VR 
2. VisualCamp TrueGaze VR Module for VIVE/VIVE Pro

### Installation
1. Install "Steam VR"
2. Install VIVE and VIVE environment
2. Run "VC_EyeTracking_Tray"

### General Eye-Tracking Process
1. Run both "Steam VR" and "VC_EyeTracking_Tray".
2. Activate eye-tracking process by selecting "Eye Tracking".
3. Select Calibration Slot that you want to use.
4. Start calibration by selecting "Start Calibration".
5. Please gaze each orange point (There will be 9 orange point position to be gazed).
6. When the calibration process is finished, 9 point circle gaze test scene will appear on the screen.
7. Please gaze each point circle and decide whether you need to do re-calibration or not.
8. If the gaze is not accurate, click left mouse button for the re-calibration process.
9. If the gaze is accurate, click right mouse button to exit.
10. If you want to use pre-saved calibration data, select pre-saved calibration slot. 
11. If the calibration data is set, and the "Eye Tracking" is active, you are ready to run eye-tracking applications.


### Contact
- Website: *http://visual.camp*
- e-mail : contactus@visual.camp

### Others
* If you are looking for more details, please read our TrueGaze VR SDK Documenetation for developers.
* You can find the documentation on VisualCamp Website.
